aim4.im.v2i.policy

## Enum TimeoutPolicy.TimeoutPolicyType

- java.lang.Object
- - java.lang.Enum<TimeoutPolicy.TimeoutPolicyType>
  - - aim4.im.v2i.policy.TimeoutPolicy.TimeoutPolicyType

- All Implemented Interfaces:
    Serializable, Comparable<TimeoutPolicy.TimeoutPolicyType>
  Enclosing class:
    TimeoutPolicy

      public static enum TimeoutPolicy.TimeoutPolicyType
      extends Enum<TimeoutPolicy.TimeoutPolicyType>

  How the V2IManager treats vehicles that communicate before their timeout is over.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPOUND` The timeout is extended based on the latest message.
    `MAINTAIN` The timeout is unaffected by new messages.
    `RESET` The timeout is reset based on the latest message (but not made earlier).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimeoutPolicy.TimeoutPolicyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TimeoutPolicy.TimeoutPolicyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAINTAIN

          public static final TimeoutPolicy.TimeoutPolicyType MAINTAIN

      The timeout is unaffected by new messages.

    - #### COMPOUND

          public static final TimeoutPolicy.TimeoutPolicyType COMPOUND

      The timeout is extended based on the latest message.

    - #### RESET

          public static final TimeoutPolicy.TimeoutPolicyType RESET

      The timeout is reset based on the latest message (but not made earlier).

  - ### Method Detail

    - #### values

          public static TimeoutPolicy.TimeoutPolicyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimeoutPolicy.TimeoutPolicyType c : TimeoutPolicy.TimeoutPolicyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimeoutPolicy.TimeoutPolicyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.